﻿@model ProviderContactInfoViewModel
@{
    Layout = null;
}

<div class="view-container">

    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Teacher master list
            </h1>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <div class="clearfix"></div>

    <div class="row place-left one-half padding-right20">
        <label class="req-star">School</label>
        <div class="span4" data-role="input-control">
            <div class="input-control select" data-role="input">
                <select 
                        ng-model="Model.SchoolId"
                        ng-change="fillSeasonData(Model.SchoolId)"
                        placeholder="Select school"
                        ng-options="obj.Value as obj.Text for obj in AllSchools">

                    <option value="" disabled selected>Select school</option>
                </select>
            </div>
        </div>
    </div>

    <div class="row place-left one-half">
        <label class="req-star">Season</label>
        <div class="span4" data-role="input-control">
            <div class="input-control select" data-role="input">
                <select 
                        ng-model="Model.SeasonId"
                        ng-change="fillTeacherData(Model.SeasonId)"
                        data-placeholder="Select season"
                        ng-options="obj.Value as obj.Text for obj in AllSeasons">

                    <option value="" disabled selected>Select season</option>
                </select>
            </div>
        </div>
    </div>

    <br />
    <div class="row place-left one-half padding-right20">
        <label>Teacher</label>
        <div class="span4" data-role="input-control">
            <div class="input-control select" data-role="input">
                <select 
                        ng-model="Model.teacher"
                        data-placeholder="Select teacher"
                        ng-options="obj.Value as obj.Text for obj in AllTeachers">

                    <option value="" disabled selected>Select teacher</option>
                </select>
            </div>
        </div>
    </div>

    <br />
    <br />
    <div class="clearfix"></div>
    <button class="success place-right large button" ng-click="runReport()" id="ConfirmInvoice">Run</button>
    <div class="clearfix"></div>
   

</div>
